local L = LibStub("AceLocale-3.0"):GetLocale("Critline")
local core = Critline
local module


core.reset = core.template:CreateList("CritlineReset")
module = core.reset
module.button:SetText(RESET)
module.button:SetScript("OnClick", function()
	PlaySound("gsTitleOptionOK")
	module:ResetRecords()
end)

module.selectedSpells = {}

module.name = RESET
module.parent = "Critline"
InterfaceOptions_AddCategory(module)

module.resetAll = CreateFrame("CheckButton", nil, module, "OptionsBaseCheckButtonTemplate")
module.resetAll:SetPoint("TOPLEFT", module.tree, "BOTTOMLEFT", 15, 0)
module.resetAll:SetPushedTextOffset(0, 0)
module.resetAll:SetScript("OnClick", function(self)
	if self:GetChecked() then
		PlaySound("igMainMenuOptionCheckBoxOn")
	else
		PlaySound("igMainMenuOptionCheckBoxOff")
	end
end)

local fontString = module.resetAll:CreateFontString(nil, nil, "GameFontHighlight")
fontString:SetPoint("LEFT", module.resetAll, "RIGHT", 0, 1)
module.resetAll:SetFontString(fontString)
module.resetAll:SetText(L["Reset all records for this tree"])


function module:ResetRecords()
	local selectedTree = UIDropDownMenu_GetSelectedValue(self.tree)
	
	if self.resetAll:GetChecked() then
		wipe(CritlineDB[selectedTree])
		self.resetAll:SetChecked(false)
		core:Message("Reset all "..selectedTree.." records.")
	else
		-- remove selected spells from database
		for spell in pairs(self.selectedSpells) do
			CritlineDB[selectedTree][spell] = nil
			core:Message("Reset "..spell.." ("..selectedTree..") records.")
		end
	end
	
	wipe(self.selectedSpells)

	self:Update()
	core:RebuildAllTooltips()
end